package simphy.script;


public class Circuit {
	
	/**
	 * Returns Circuit element identified by the name
	 * @param {String}
	 * @return 
	 * @return {CircuitElement} circuit element if found else returns null
	 */
	public  CircuitElement getElement(String name) {
		return null;
	}
	
	/**
	 * Adds {@link Grapher} attached to the element in simulation
	 * @param {CircuitElement} elm 
	 * @param {Grapher} returns added graph object
	 */
	public void addGraph(CircuitElement elm){
	}
	
	/**
	 * Returns {@link Grapher} attached to the specified element  in simulation
	 * @param {CircuitElement} elm 
	 * @param {Grapher} returns added graph object
	 */
	public Grapher getGraph(CircuitElement elm){
		return null;
	}
	
}
